/** 
 * @file legacy_object_types.h
 * @brief Byte codes for basic object and primitive types
 *
 * $LicenseInfo:firstyear=2001&license=viewerlgpl$
 * Second Life Viewer Source Code
 * Copyright (C) 2010, Linden Research, Inc.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License only.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 * Linden Research, Inc., 945 Battery Street, San Francisco, CA  94111  USA
 * $/LicenseInfo$
 */

#ifndef LL_LEGACY_OBJECT_TYPES_H
#define LL_LEGACY_OBJECT_TYPES_H

const	S8		PLAYER			= 'c';
//const	S8		BASIC_SHOT		= 's';
//const	S8		BIG_SHOT		= 'S';
//const	S8		TREE_SHOT		= 'g';
//const	S8		PHYSICAL_BALL	= 'b';

const	S8		TREE		= 'T';
const	S8		TREE_NEW	= 'R';
//const	S8		SPARK		= 'p';
//const	S8		SMOKE		= 'q';
//const	S8		BOX			= 'x';
//const	S8		CYLINDER	= 'y';
//const	S8		CONE		= 'o';
//const	S8		SPHERE		= 'h';
//const S8		BIRD		= 'r';			// ascii 114
//const S8		ATOR		= 'a';
//const S8      ROCK		= 'k';

const	S8		GRASS		= 'd';			
const   S8      PART_SYS    = 'P';

//const	S8		ORACLE		= 'O';
//const	S8		TEXTBUBBLE	= 't';			//  Text bubble to show communication
//const	S8		DEMON		= 'M';			// Maxwell's demon for scarfing legacy_object_types.h
//const	S8		CUBE		= 'f';
//const	S8		LSL_TEST	= 'L';
//const	S8		PRISM			= '1';
//const	S8		PYRAMID			= '2';
//const	S8		TETRAHEDRON		= '3';
//const	S8		HALF_CYLINDER	= '4';
//const	S8		HALF_CONE		= '5';
//const	S8		HALF_SPHERE		= '6';

const	S8		PRIMITIVE_VOLUME = 'v';

// Misc constants 

//const   F32		AVATAR_RADIUS			= 0.5f;
//const   F32		SHOT_RADIUS				= 0.05f;
//const   F32		BIG_SHOT_RADIUS			= 0.05f;
//const   F32		TREE_SIZE				= 5.f;
//const   F32		BALL_SIZE				= 4.f;

//const	F32		SHOT_VELOCITY			= 100.f;
//const	F32		GRENADE_BLAST_RADIUS	= 5.f;

#endif

