/*
 * @file lldesktopnotificationsnotify.h
 * @brief libnotify support
 *
 * Copyright (c) 2015, Luminous Luminos <luminous@alchemyviewer.org>
 *
 * Permission is hereby granted, free of charge, to any person or organization
 * obtaining a copy of the software and accompanying documentation covered by
 * this license (the "Software") to use, reproduce, display, distribute,
 * execute, and transmit the Software, and to prepare derivative works of the
 * Software, and to permit third-parties to whom the Software is furnished to
 * do so, all subject to the following:
 *
 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer,
 * must be included in all copies of the Software, in whole or in part, and
 * all derivative works of the Software, unless such copies or derivative
 * works are solely in the form of machine-executable object code generated by
 * a source language processor.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

#ifndef LL_DESKTOPNOTIFICATIONS_NOTIFY_H
#define LL_DESKTOPNOTIFICATIONS_NOTIFY_H

#include "lldesktopnotifications.h"
#include <string>

class LLDesktopNotificationsNotify : public LLDesktopNotifications
{
    typedef void  (*notify_init_t)(const char*);
    typedef void* (*notify_notification_new_t)(const char*, const char*,
					       const char*);
    typedef void  (*notify_notification_show_t)(void*, void**);
    
public:
    LLDesktopNotificationsNotify();
    ~LLDesktopNotificationsNotify();
    void sendNotification(const std::string& title, const std::string& body, bool play_sound) override;
    bool isImplemented() override { return true; }
private:
    void* handle;
    notify_init_t notify_init;
    notify_notification_new_t notify_notification_new;
    notify_notification_show_t notify_notification_show;
};

#endif // LL_DESKTOPNOTIFICATIONS_NOTIFY_H
